@import "../../../App.scss";

.flights_selection {
  grid-area: flight-selection;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 50%);
  grid-template-rows: repeat(4, auto);;
  grid-template-areas:
    "comment ."
    "price-amount buy"
    "price-title ."
    "promo promo";
  &_price {
    &_amount {
      grid-area: price-amount;
      font-size: 1.8em;
      font-weight: 600;
      margin-left: 10px;
    }
    &_title {
      grid-area: price-title;	
      font-size: 0.8em;
      margin-top: 5px;
      margin-left: 10px;
      margin-bottom: 20px;
    }
  }
  &_comment {
    grid-area: comment;
    font-size: 0.8em;
    color: $light;
    display: flex;
    align-items: flex-end;
    margin-bottom: 5px;
    margin-left: 10px;
    margin-top: 20px;
  }
  &_buy {
    grid-area: buy;			
    display: flex;
    justify-content: flex-end;
    align-items: center;
    &-btn {
      background-color: $purple;
      color: $white;
      border-radius: 15px;
      border: none;
      margin-right: 10px;
      width: 10em;
      height: 100%;
    }
  }
  &_promo {
    grid-area: promo;
    font-size: 0.8em;
    padding: 20px 10px;
    border-top: 1px solid $light;
    &_financing {
      grid-area: financing;
    }
    &_banks {
      grid-area: banks;
    }
  }
}
@media screen and (min-width: 768px) {
  .flights_selection {
    display: flex;
    flex-direction: column;
    border-left: 1px solid $light;
    &_comment {
      order: 2;
      margin-top: 5px;
    }
    &_price {
      &_amount {
        order: 3;
        margin-top: 5px;
      }
      &_title {
        order: 1;
        font-weight: 700;
        margin-top: 10px;
      }
    }
    &_buy {
      order: 4;
      &-btn {
        width: 100%;
        padding: 0.5em;
        font-size: 1em;
        font-weight: 700;
        margin-top: 20px;
        margin-left: 10px;
      }
    }
    &_promo {
      order: 5;
      display: flex;
      flex-direction: column;
      border-top: none;
      &_banks {
        margin-top: 5px;
      }

    }
  }
}